{ testEnv, pkgs }:
with pkgs;

testEnv.mkTest rec {
  name = "solo5";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = testEnv.lib.renderDhallInit ./solo5-ping.dhall "{=}";

  bootModules = {
    nic_bridge = "${genode.os}/bin/nic_bridge";
    nic_loopback = "${genode.os}/bin/nic_loopback";
    ping = "${genode.os}/bin/ping";
    "solo5.lib.so" = "${solo5}/lib/solo5-bindings-genode/solo5.lib.so";
    solo5-test_net = "${solo5.tests}/bin/solo5-test_net";
  };

  testScript = ''
    run_genode_until {child "ping" exited with exit value 0} 30
  '';
}
